#include "unit.h"

class Story: public Unit {	
public:
	Story();
	int process(float d);
	void redraw();
	void enter();
	void leave();
	
	int screen2world(int sx);
	int world2screen(int wx);
	
	bool old;
	int oxsc;
	int dir;
		
	int xsc;
	char txt[12][60];
	bool sc;
	
	char toktab[256][8];
	int translate(char *tok);					
	
};

extern Story *story;